GIT-MKTAG(1)

NAME
git-mktag - Creates a tag object

SYNOPSIS
git-mktag < signature_file

DESCRIPTION
Reads a tag contents on standard input and creates a tag object that can also be used to sign other objects. The output is the new tag's <object> identifier.

TAG FORMAT
A tag signature file has a very simple fixed format: four lines of

object <sha1>
type <typename>
tag <tagname>
tagger <tagger>
followed by some optional free-form message (some tags created by older git may not have tagger line). The message, when exists, is separated by a blank line from the header. The message part may contain a signature that git itself doesn't care about, but that can be verified with gpg.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(7) suite